Skip to main content
`Ctrl`+`K`

# MatCoarsenDestroy

Destroys the coarsen context.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCoarsenDestroy(MatCoarsen *agg)

Collective

## Input Parameter

- agg - the coarsen context

## See Also

`MatCoarsen`, `MatCoarsenCreate()`

## Level

advanced

## Location

src/mat/graphops/coarsen/interface/coarsen.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages